/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/

.h2, h2 {
    font-size: .8em;
    text-align: left;
}

.icon-box-left .icon-box-img+.icon-box-text {
    padding-left: 0.8em;
    padding-top: 0.2em;
}

.widgettitle {
	border-bottom: 2px solid #d5d5d5;
    padding-bottom: 5px;
    margin-bottom: 15px;
}

#logo img {
    max-height: 69px !important;
}

/** HEADER INFO BAR (DUAL PHONE) **/
.x7_top-bar {
	color: #ffffff;
	padding: 12px 0;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 13px;
	font-weight: 600;
}
.info-group { display: flex; align-items: center; }
.act-time{
	margin-left: 6px;
}
.divider {
	width: 1px; height: 20px;
	background-color: rgba(255, 255, 255, 0.3);
	margin: 0 10px;
}
.phone-link {
	color: #ffffff;
	text-decoration: none;
	margin-left: 10px;
	transition: 0.2s;
	font-size: 13px;
}
/* Tooltip trỏ lên trên */
.tooltip {
	position: relative;
	display: inline-block;
	margin-right: 6px;
}
.tooltip a:hover {
    color: #e6e6e6;
}
.tooltip .tooltiptext {
	visibility: hidden;
	width: 120px;
	background-color: #1a202c;
	color: #fff;
	text-align: center;
	border-radius: 5px;
	padding: 6px 0;
	font-size: 12px;
	font-weight: normal;

	/* Vị trí quan trọng: Nằm TRÊN phần tử */
	position: absolute;
	z-index: 10;
	bottom: 150%; /* Đẩy lên trên hẳn so với số điện thoại */
	left: 50%;
	transform: translateX(-50%);

	/* Hiệu ứng */
	opacity: 0;
	transition: opacity 0.3s, bottom 0.3s;
}
/* Mũi tên trỏ xuống dưới (tạo cảm giác trỏ vào số điện thoại) */
.tooltip .tooltiptext::after {
	content: "";
	position: absolute;
	top: 100%; /* Đặt ở đáy của hộp tooltip */
	left: 50%;
	margin-left: -5px;
	border-width: 5px;
	border-style: solid;
	border-color: #1a202c transparent transparent transparent; /* Mũi tên hướng xuống */
}
/* Hiển thị khi Hover */
.tooltip:hover .tooltiptext {
	visibility: visible;
	opacity: 1;
	bottom: 130%; /* Hiệu ứng nhấc nhẹ lên khi hiện ra */
}
.tooltip:last-child { margin-right: 0; }



/** EDIT PRODUCT BOX **/
.box-text h1, .box-text h2, .box-text h3, .box-text h4, .box-text h5, .box-text h6, .box-text a:not(.button){
    line-height: 1.3;
    margin-top: 0.1em;
    margin-bottom: 0.1em;
    font-weight: bold;
    font-size: .91em;
}
span.amount {
    white-space: nowrap;
    color: #be020c;
    font-weight: bold;
    font-size: .95em;
}
.op-7{
	font-size: 0.6em !important;
    opacity: 0.7;
}
.badge {
    display: table;
    z-index: 20;
    pointer-events: none;
    font-size: 0.8em;
    height: 2.8em;
    width: 2.8em;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

/***** EDIT MENU BOX *****/
ul.menu>li>a, ul.menu>li>span:first-child, .widget>ul>li>a, .widget>ul>li>span:first-child {
    display: inline-block;
    padding: 6px 0;
    font-size: 0.85em;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
}
.text-center .toggle {
    margin-left: 0px;
}

span.widget-title {
    font-size: .85em;
    font-weight: 600;
}
.widget_price_filter .price_slider_amount{
    text-align: left;
    line-height: 1;
    font-size: 0.7em;
}

.nav>li>a {
    font-size: .75em;
}

.is-uppercase, .uppercase {
    line-height: 1.2;
    text-transform: uppercase;
    font-size: .9em;
}

.box-push .box-text {
    /* padding: 15px 20px; */
    background-color: rgba(255,255,255,0.95);
    max-width: 85%;
    margin: -15% auto 0;
    font-size: .55em;
}
.box-text.text-center {
    /* padding-left: 10px; */
    /* padding-right: 10px; */
}

/***** DON DAT HANG *****/
td.product-total, .shop_table tfoot tr td, .cart_totals tbody tr td, .shop_table thead tr th:last-of-type, .shop_table tr td:last-of-type {
    text-align: right;
    font-size: 0.9em;
    color: black;
}
.uppercase, h6, th, span.widget-title {
}
.widget_shopping_cart .button {
	font-size: .8em;
}

.button, button, input[type='submit'], input[type='reset'], input[type='button']{
    line-height: 1.7em;
    min-height: 1.8em;
}
.quantity input[type="number"] {
    max-width: 2.5em;
    width: 2.5em;
    text-align: center;
    border-radius: 0 !important;
    -webkit-appearance: textfield;
    -moz-appearance: textfield;
    appearance: textfield;
    font-size: 1em;
}
.quantity input {
    padding-left: 0;
    padding-right: 0;
    display: inline-block;
    vertical-align: top;
    margin: 0;
}
.quantity+.button {
    margin-right: 0;
    font-size: .9em;
}
.button, button, input[type='submit'], input[type='reset'], input[type='button'] {
    line-height: 1.7em;
    min-height: 1.8em;
}
.quantity input[type="number"]{
	font-size: .7em;
}

/***** EDIT WIDGET *****/
.widget {
    margin-bottom: 1.5em;
}
.wp-block-cover, .wp-block-cover-image {
    min-height: 325px;
}
ul.menu>li>a, ul.menu>li>span:first-child, .widget>ul>li>a, .widget>ul>li>span:first-child{
	color: #3e3e3e;
}

/***** Edit product categories *****/
.slider-wrapper+.row:not(.row-collapse), .banner-grid-wrapper+.row:not(.row-collapse), .banner+.row:not(.row-collapse), .section+.row:not(.row-collapse) {
    margin-top: 0px;
}

/***** Menu (doc) DANH MUC SAN PHAM *****/
.module.all-categories {
  position: relative;
  margin: 0 0 15px 0;
  background: #f37000;
  padding: 8px;
  border: 1px solid #f37000;
}
#left .module h3.modtitle {
  border-bottom: 2px solid #fff;
  text-align: center;
	background-color: transparent;
}
.module.all-categories h3.modtitle {
  background-image: none;
  color: #fff;
  height: 40px;
  line-height: 35px;
  position: relative;
  cursor: pointer;
  font-size: 14px;
}
.module.all-categories h3.modtitle:before {
  background: url(/wp-content/uploads/2022/10/ic_menu.png) no-repeat;
  content: "";
  height: 15px;
  width: 15px;
  position: absolute;
  left: 0;
  top: 11px;
}
#left .module .modcontent {
  border-top: none;
  border-radius: 0 0 2px 2px;
}
.clearfix::before,
.clearfix::after {
  content: "";
  display: table;
}
.clearfix::after {
  clear: both;
}

/* Menu dọc */
.module.all-categories .x7-vertical-menu {
  padding: 0;
  width: 100%;
  background: #f37000;
  z-index: 999;
}
.x7-vertical-menu {
  position: relative;
}
ul.x7-vertical-menu,
ul.x7-vertical-menu ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
.x7-vertical-menu > li {
  position: relative;
  cursor: pointer;
  margin: 0;
  padding: 10px 0;
  border-bottom: 1px dashed #fff;
	width: 100%;
}
.x7-vertical-menu > li:last-child {
  border-bottom: none;
}
.x7-vertical-menu li a {
  color: #fff;
  font-family: tahoma;
  font-size: 12px;
  font-weight: 500;
  display: block;
  text-align: left;
}

/* item cha */
.x7-vertical-menu > li .fm-item {
  position: relative;
  display: flex;
  align-items: center;
}

/* link */
.x7-vertical-menu li .fm-link {
  padding-left: 5px;
  flex: 1;
}

/* icon */
.x7-vertical-menu li.has-child .fm-button::after {
  content: "";
  display: inline-block;
  width: 6px;
  height: 6px;
  border-top: 1px solid #fff;
  border-right: 1px solid #fff;
  transform: rotate(45deg);
  margin-top: 6px;
  transition: transform 0.2s ease;
}
/* xoay khi hover */
.x7-vertical-menu li.fm-opened .fm-button::after {
  transform: rotate(135deg);
}

/* SubMenu */
.flyout-menu li .fm-container {
  position: absolute;
  top: 0;
  left: 100%;
	margin-left: 6px; /* đảm bảo không dính icon */
  min-width: 260px;
  background: #fff;
  display: none;
  z-index: 9999;
}
.flyout-menu li.fm-opened > .fm-container {
  display: block !important;
}
.flyout-menu li.has-child {
  position: relative;
}
.flyout-menu li.has-child .fm-container::before {
  content: "";
  position: absolute;
  top: 0;
  left: -6px;           /* đúng bằng margin-left */
  width: 6px;           /* vùng cầu nối */
  height: 100%;
  background: transparent;
}
.flyout-menu li.has-child:hover > .fm-container,
.flyout-menu li.has-child .fm-container:hover {
  display: block !important;
}

/* Menu con */
.flyout-menu li .fm-container ul li {
  border-bottom: 1px solid #ddd;
  border-left: 1px solid #ddd;
  border-right: 1px solid #ddd;
  margin: 0;
}
.flyout-menu li .fm-container ul li:first-child {
  border-top: 1px solid #ddd;
}
.flyout-menu li .fm-container ul li a {
  color: #444;
  padding: 8px 10px;
}
@media (min-width: 768px) {
  .flyout-menu.vertical li > .fm-container.direction-left {
    left: 100%;
  }
}
.entry-content ul li,
.col-inner ul li {
  margin-left: 0;
}



/***** MODULE BOX SHOW SP (HOME) *****/
div.module .ht-heading-title {
    border-bottom: 3px solid #c52029;
    height: 35px;
}
div.module #content_box div.ht-heading-title h3.modtitle {
    /* background: #025986 none repeat scroll 0 0; */
    border-radius: 5px 0 0;
    float: left;
    width: auto;
    z-index: 10;
    border-bottom: none;
    background-image: radial-gradient(#c52029, #c52029);
}
div.module #content_box div.ht-heading-title h3.modtitle:after {
    border-color: transparent #c52029;
    border-style: solid;
    border-width: 32px 0 0 20px;
    content: "";
    position: absolute;
    right: -20px;
    top: 0;
}
.module h3.modtitle{
	background-color: #c52029;
}
a.xemthem-all {
    float: right;
    font-style: italic;
    font-weight: 700;
    margin-right: 8px;
    margin-top: 11px;
}

/***** CUSTOM TITLE *****/
.x7-custom-section-title {
	height: 34px;
	border-bottom: 3px solid #c52029;
	margin-bottom:20px;
}

.x7-custom-section-title > h5 {
    width: auto;
	color: #ffffff;
	display: inline-block;
	padding: 5px 0 0 10px;
	border-radius: 5px 0 0;
    background-image: radial-gradient(#c52029, #c52029);
}

.x7-custom-section-title > h5::after {
	top: 0;
    content: "";
    position: absolute;
    border-style: solid;
    border-width: 34px 0 0 34px;
    border-color: transparent #c52029;
}

.x7-custom-section-title > p {
	display: inline;
}






/***** BLOG *****/
.box-text {
	padding-top: 0;
}
.box-text h5{
	font-size: 1.1em;
}
@media screen and (min-width: 550px){
	.box-list-view .box .box-image, .box-list-view .box .box-text, .box-vertical .box-image, .box-vertical .box-text {
		vertical-align: top;
	}
}




@media only screen and (max-width: 48em) {
/*************** ADD MOBILE ONLY CSS HERE  ***************/


}